Package org.eclipse.cdt.utils.debug

# Class DebugVisibility

java.lang.Object
org.eclipse.cdt.utils.debug.DebugVisibility

public final class DebugVisibility extends Object
DebugVisibility

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DebugVisibility`
`PRIVATE`
`static final DebugVisibility`
`PROTECTED`
`static final DebugVisibility`
`PUBLIC`
`static final DebugVisibility`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UNKNOWN

public static final DebugVisibility UNKNOWN

### PUBLIC

public static final DebugVisibility PUBLIC

### PROTECTED

public static final DebugVisibility PROTECTED

### PRIVATE

public static final DebugVisibility PRIVATE

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`